	.reference	___bb_appstub_appstub
	.reference	___bb_audio_audio
	.reference	___bb_bank_bank
	.reference	___bb_bankstream_bankstream
	.reference	___bb_basic_basic
	.reference	___bb_blitz_blitz
	.reference	___bb_bmploader_bmploader
	.reference	___bb_d3d7max2d_d3d7max2d
	.reference	___bb_d3d9max2d_d3d9max2d
	.reference	___bb_data_data
	.reference	___bb_directsoundaudio_directsoundaudio
	.reference	___bb_dxgraphics_dxgraphics
	.reference	___bb_event_event
	.reference	___bb_eventqueue_eventqueue
	.reference	___bb_font_font
	.reference	___bb_freeaudioaudio_freeaudioaudio
	.reference	___bb_freejoy_freejoy
	.reference	___bb_freeprocess_freeprocess
	.reference	___bb_freetypefont_freetypefont
	.reference	___bb_glew_glew
	.reference	___bb_glgraphics_glgraphics
	.reference	___bb_glmax2d_glmax2d
	.reference	___bb_gnet_gnet
	.reference	___bb_jpgloader_jpgloader
	.reference	___bb_macos_macos
	.reference	___bb_map_map
	.reference	___bb_maxlua_maxlua
	.reference	___bb_maxutil_maxutil
	.reference	___bb_oggloader_oggloader
	.reference	___bb_openalaudio_openalaudio
	.reference	___bb_pngloader_pngloader
	.reference	___bb_retro_retro
	.reference	___bb_tgaloader_tgaloader
	.reference	___bb_threads_threads
	.reference	___bb_timer_timer
	.reference	___bb_wavloader_wavloader
	.reference	___bb_win32_win32
	.reference	_bbObjectClass
	.reference	_bbObjectCompare
	.reference	_bbObjectCtor
	.reference	_bbObjectFree
	.reference	_bbObjectRegisterType
	.reference	_bbObjectReserved
	.reference	_bbObjectSendMessage
	.reference	_bbObjectToString
	.reference	_bbOnDebugEnterScope
	.reference	_bbOnDebugLeaveScope
	.reference	_bbStringClass
	.globl	___bb_imports_constants
	.globl	__bb_TConstants_Delete
	.globl	__bb_TConstants_New
	.globl	_bb_TConstants
	.text	
___bb_imports_constants:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	cmpl	$0,_42
	je	_43
	mov	$0,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_43:
	movl	$1,_42
	movl	%ebp,4(%esp)
	movl	$_40,(%esp)
	calll	*_bbOnDebugEnterScope
	call	___bb_blitz_blitz
	call	___bb_appstub_appstub
	call	___bb_audio_audio
	call	___bb_bank_bank
	call	___bb_bankstream_bankstream
	call	___bb_basic_basic
	call	___bb_bmploader_bmploader
	call	___bb_d3d7max2d_d3d7max2d
	call	___bb_d3d9max2d_d3d9max2d
	call	___bb_data_data
	call	___bb_directsoundaudio_directsoundaudio
	call	___bb_dxgraphics_dxgraphics
	call	___bb_event_event
	call	___bb_eventqueue_eventqueue
	call	___bb_font_font
	call	___bb_freeaudioaudio_freeaudioaudio
	call	___bb_freetypefont_freetypefont
	call	___bb_glgraphics_glgraphics
	call	___bb_glmax2d_glmax2d
	call	___bb_gnet_gnet
	call	___bb_jpgloader_jpgloader
	call	___bb_map_map
	call	___bb_maxlua_maxlua
	call	___bb_maxutil_maxutil
	call	___bb_oggloader_oggloader
	call	___bb_openalaudio_openalaudio
	call	___bb_pngloader_pngloader
	call	___bb_retro_retro
	call	___bb_tgaloader_tgaloader
	call	___bb_threads_threads
	call	___bb_timer_timer
	call	___bb_wavloader_wavloader
	call	___bb_freejoy_freejoy
	call	___bb_freeprocess_freeprocess
	call	___bb_glew_glew
	call	___bb_macos_macos
	call	___bb_win32_win32
	movl	$_bb_TConstants,(%esp)
	call	_bbObjectRegisterType
	mov	$0,%ebx
	jmp	_32
_32:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TConstants_New:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_44,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbObjectCtor
	movl	-4(%ebp),%eax
	movl	$_bb_TConstants,(%eax)
	mov	$0,%ebx
	jmp	_35
_35:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TConstants_Delete:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
_38:
	mov	$0,%eax
	jmp	_47
_47:
	mov	%ebp,%esp
	pop	%ebp
	ret
	.data	
	.align	4
_42:
	.long	0
_41:
	.asciz	"constants"
	.align	4
_40:
	.long	1
	.long	_41
	.long	0
_8:
	.asciz	"TConstants"
_9:
	.asciz	"SCREEN_WIDTH"
_10:
	.asciz	"i"
	.align	4
_11:
	.long	_bbStringClass
	.long	2147483646
	.long	3
	.short	56,48,48
_12:
	.asciz	"SCREEN_HEIGHT"
	.align	4
_13:
	.long	_bbStringClass
	.long	2147483646
	.long	3
	.short	54,48,48
_14:
	.asciz	"HALF_SCREEN_WIDTH"
	.align	4
_15:
	.long	_bbStringClass
	.long	2147483646
	.long	3
	.short	52,48,48
_16:
	.asciz	"HORIZON_HEIGHT"
	.align	4
_17:
	.long	_bbStringClass
	.long	2147483646
	.long	3
	.short	51,48,48
_18:
	.asciz	"HORIZON_Y"
_19:
	.asciz	"ROAD_WIDTH"
_20:
	.asciz	"SOUND_VOLUME"
_21:
	.asciz	"f"
	.align	4
_22:
	.long	_bbStringClass
	.long	2147483646
	.long	11
	.short	48,46,50,48,48,48,48,48,48,48,51
_23:
	.asciz	"MUSIC_VOLUME_MODIFIER"
	.align	4
_24:
	.long	_bbStringClass
	.long	2147483646
	.long	10
	.short	50,46,53,48,48,48,48,48,48,48
_25:
	.asciz	"MAX_SEGMENT_DX"
	.align	4
_26:
	.long	_bbStringClass
	.long	2147483646
	.long	13
	.short	48,46,48,48,50,48,48,48,48,48,48,48,57
_27:
	.asciz	"MAX_SEGMENT_DY"
	.align	4
_28:
	.long	_bbStringClass
	.long	2147483646
	.long	13
	.short	48,46,48,48,49,50,48,48,48,48,48,48,54
_29:
	.asciz	"New"
_30:
	.asciz	"()i"
_31:
	.asciz	"Delete"
	.align	4
_7:
	.long	2
	.long	_8
	.long	1
	.long	_9
	.long	_10
	.long	_11
	.long	1
	.long	_12
	.long	_10
	.long	_13
	.long	1
	.long	_14
	.long	_10
	.long	_15
	.long	1
	.long	_16
	.long	_10
	.long	_17
	.long	1
	.long	_18
	.long	_10
	.long	_17
	.long	1
	.long	_19
	.long	_10
	.long	_11
	.long	1
	.long	_20
	.long	_21
	.long	_22
	.long	1
	.long	_23
	.long	_21
	.long	_24
	.long	1
	.long	_25
	.long	_21
	.long	_26
	.long	1
	.long	_27
	.long	_21
	.long	_28
	.long	6
	.long	_29
	.long	_30
	.long	16
	.long	6
	.long	_31
	.long	_30
	.long	20
	.long	0
	.align	4
_bb_TConstants:
	.long	_bbObjectClass
	.long	_bbObjectFree
	.long	_7
	.long	8
	.long	__bb_TConstants_New
	.long	__bb_TConstants_Delete
	.long	_bbObjectToString
	.long	_bbObjectCompare
	.long	_bbObjectSendMessage
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	_bbObjectReserved
_45:
	.asciz	"Self"
_46:
	.asciz	":TConstants"
	.align	4
_44:
	.long	1
	.long	_29
	.long	2
	.long	_45
	.long	_46
	.long	-4
	.long	0
